/*
 * File name: Lab06.java
 * Date:      2014/08/26 21:39
 * Author:    @author
 */

package cz.cvut.fel.pr1;

public class Lab06 {

    final int DEFAULT_PART = 1;

    public void part1() {
        double f = 0.1;
        for (int i = 0; i < 10; ++i) {
            System.out.printf("i: %02d - value %.2f%n", i, f * i);
        }
    }

    public void part2() {
        //put your code here
    }

    public void part3() {
        //put your code for prime test here
    }

    public void part4() {
        TextIO txtIO = new TextIO();
        // TextIO txtIO = new TextIO("input.txt");

        int count = 0;
        double sum = 0.0;
        boolean end = false;

        while (!end) {
            String line = txtIO.getLine();
            if (line.length() > 0 && TextIO.isDouble(line)) {
                sum += Double.parseDouble(line);
                count++;
            } else {
                System.err.println("End of input detected!");
                end = true;
            }
        }
        System.out.println("Sum of the " + count + " input numbers is " + sum);
    }

    public void start(String[] args) {
        switch (args.length > 0 && TextIO.isInteger(args[0])
                ? Integer.parseInt(args[0])
                : DEFAULT_PART) {
            case 1:
                part1();
            case 2:
                part2();
                break;
            case 3:
                part3();
                break;
            case 4:
                part4();
                break;
        }
    }
}